SpringMVCViewDecorator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class SpringMVCViewDecorator

    java.lang.Object
      com.opensymphony.module.sitemesh.mapper.DefaultDecorator
          org.codehaus.groovy.grails.web.sitemesh.SpringMVCViewDecorator

All Implemented Interfaces:
  com.opensymphony.sitemesh.Decorator

    public class SpringMVCViewDecorator
    extends com.opensymphony.module.sitemesh.mapper.DefaultDecorator

Encapsulates the logic for rendering a layout.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`SpringMVCViewDecorator(java.lang.String name, org.springframework.web.servlet.View view)`

Method Summary
`void` | `render(com.opensymphony.sitemesh.Content content, com.opensymphony.sitemesh.SiteMeshContext context)`
`void` | `render(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`

Methods inherited from class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getName(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getPage(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getInitParameter(java.lang.String), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getInitParameterNames(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getURIPath(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getRole(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(long, int), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(long), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#wait(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#equals(java.lang.Object), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#toString(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#hashCode(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#getClass(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#notify(), com.opensymphony.module.sitemesh.mapper.DefaultDecorator#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SpringMVCViewDecorator

    public SpringMVCViewDecorator(java.lang.String name, org.springframework.web.servlet.View view)

Method Detail

### render

    public void render(com.opensymphony.sitemesh.Content content, com.opensymphony.sitemesh.SiteMeshContext context)

### render

    public void render(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)

Groovy Documentation